Bug 101621 - unrecognized ks command: part
Summary: unrecognized ks command: part
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: beta1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: CambridgeBlocker
TreeView+ depends on / blocked
 
Reported: 2003-08-04 19:38 UTC by Mike McLean
Modified: 2007-04-18 16:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-13 16:02:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike McLean 2003-08-04 19:38:17 UTC
* Cambridge-re0801.nightly (internal)
* kickstart install
* cpqarray box
* using the --onpart option

I'm getting a traceback (during kickstart validation i presume).

Traceback (most recent call last):
  File "/usr/bin/anaconda", lin 986, in ?
    instClass.setInstallData(id)
  File "/usr/lib/anaconda/kickstart.py", line 1239 in setInstallData
    self.ReadKickstart(id, self.file)
  File "/usr/lib/anaconda/kickstart.py", line 691 in ReadKickstart
    raise SyntaxError, "Unrecognized ks command: %s\n On the line: %s" %
(args[0], n)
Syntax error: unrecognized ks command: part 
On the line: part / --size 1024 --onpart ida/c0d0p2 --noformat

Here is the partitioning section of the kickstart:
# clearpart is disabled
part /last --size 1024 --onpart ida/c0d0p1 --noformat
part / --size 1024 --onpart ida/c0d0p2 --noformat
part swap --onpart ida/c0d0p3

Note the order: anaconda complained on the *second* part command.

Also note that tons of kickstart cases for this same build have passed without
hitting this.  Two things make this case special:
  - the onpart option
  - the cpqarray

Comment 2 Jeremy Katz 2003-08-04 19:58:03 UTC
Did you perhaps not have an ida/c0d0p3 partition?  There was some exception
handling changed in Cambridge that was being over-zealous.

Comment 3 Mike McLean 2003-08-04 23:01:59 UTC
I'm pretty sure that the partition was there.  This case does one install with
"/" and "/next" partitions.  Then it does a second install with "/" on the old
/next partition and "/last" on the old / partition.  The devices used for the
--onpart option would have been pulled from /etc/mtab.

I'll rerun the testcase just to be sure.

If this is the case, then the error message is very misleading.

Comment 4 Jeremy Katz 2003-08-04 23:17:23 UTC
Like I said, the exception catching was a bit broad there.  I've fixed that
(should show up in tomorrow's nightly I think -- I'll build an anaconda before I
leave to ensure it).  Then again, it could be some other exception entirely and
it would have been completely covered up :/

So results from tomorrow's tree would be interesting :)

Comment 5 Mike McLean 2003-08-05 00:20:00 UTC
I'm poking around on VC2 post-traceback.  The partition appears in
/proc/partitions, and I am able to mount it manually.

Nothing odd appears in anaconda.log.

Comment 6 Mike McLean 2003-08-05 00:36:55 UTC
the cpqarray has nothing to do with it. The case has failed on several different
machines.

Comment 7 Mike McLean 2003-08-05 19:29:57 UTC
The traceback looks exactly the same in Cambridge-re0805.nightly
(anaconda-9.0.94-0.20030804154703).

Comment 8 Mike McLean 2003-08-05 20:06:46 UTC
A slightly simpler testcase fails also (this one has no --noformat option).


Comment 10 Jeremy Katz 2003-08-06 18:46:37 UTC
Fixed for real

Comment 11 Mike McLean 2003-08-13 16:02:55 UTC
closing


Note You need to log in before you can comment on or make changes to this bug.